//-------------------------------------------------------------------=72
//
// Copyright (C) Columbia University, 1998-1999. All Rights Reserved.
//
//-------------------------------------------------------------------=72
//
// IAView.cpp : implementation of the CIAView class
//
//-------------------------------------------------------------------=72
//
// Author:				 Tomoo Mitsunaga
//
// Version:              1.0
//
// Modification History:
//  Dec/05/1998:	Created	
//
// Bugs:
//
//-------------------------------------------------------------------=72

#include "stdafx.h"
#include "imageAlignment.h"

#include "IADoc.h"
#include "IAView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIAView

IMPLEMENT_DYNCREATE(CIAView, CView)

BEGIN_MESSAGE_MAP(CIAView, CView)
	//{{AFX_MSG_MAP(CIAView)
	ON_WM_CREATE()
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
	ON_WM_RBUTTONDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIAView construction/destruction

CIAView::CIAView()
{
	// TODO: add construction code here
	
}

CIAView::~CIAView()
{
}

BOOL CIAView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	if(udp.preCreateWindow(cs)==false)
		return false;

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CIAView drawing

void CIAView::OnDraw(CDC* pDC)
{
	CIADoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	udp.onDraw();
}

/////////////////////////////////////////////////////////////////////////////
// CIAView diagnostics

#ifdef _DEBUG
void CIAView::AssertValid() const
{
	CView::AssertValid();
}

void CIAView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CIADoc* CIAView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CIADoc)));
	return (CIADoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CIAView message handlers

int CIAView::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CView::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	// TODO: Add your specialized creation code here
	
	reh.setVUdp(&udp);
	reh.setDUdp(&(GetDocument()->udp));

	if(udp.onCreate(lpCreateStruct,this)== -1)
		return -1;

	return 0;
}

void CIAView::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	
	reh.onLButtonDown(this,nFlags,point);
	//CView::OnLButtonDown(nFlags, point);
}

void CIAView::OnLButtonUp(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	
	reh.onLButtonUp(this,nFlags,point);
	//CView::OnLButtonUp(nFlags, point);
}

void CIAView::OnMouseMove(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	
	reh.onMouseMove(this,nFlags,point);
	//CView::OnMouseMove(nFlags, point);
}

void CIAView::OnRButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	
	reh.onRButtonDown(this,nFlags,point);
	//CView::OnRButtonDown(nFlags, point);
}

//-------------------------------------------------------------------=72
// End of IAView.cpp
//-------------------------------------------------------------------=72
