//-------------------------------------------------------------------=72
//
// Copyright (C) Columbia University, 1998-1999. All Rights Reserved.
//
//-------------------------------------------------------------------=72
//
// RREvent.h
//
//-------------------------------------------------------------------=72
//
// Author:				 Tomoo Mitsunaga
//
// Version:              1.0
//
// Modification History:
//  Dec/05/1998:	Created	
//
// Bugs:
//
//-------------------------------------------------------------------=72
//
// RREvent.h defines RREvent struct.
//
//-------------------------------------------------------------------=72

#ifndef _RR_EVENT_H
#define _RR_EVENT_H

#include "RRDef.h"
#include "RRGrid2.h"

typedef enum
{
	RREVENT_NONE,
	RREVENT_PUSH_LBUTTON,
	RREVENT_RELEASE_LBUTTON,
	RREVENT_PUSH_RBUTTON,
	RREVENT_RELEASE_RBUTTON,
	RREVENT_MOTION_NOTIFY
} RREventType;

typedef enum
{
	RREVENT_MOD_NONE,
	RREVENT_MOD_SHIFT,
	RREVENT_MOD_CTRL,
	RREVENT_MOD_ALT
} RREventModifier;

struct RREvent
{
  	RRGrid2 pos;
  	RREventType type;
  	RREventModifier mod;
};

#endif // _RR_EVENT_H

//-------------------------------------------------------------------=72
// End of RREvent.h
//-------------------------------------------------------------------=72
